## Index

### Modules

- Intl

### Interfaces

- Array
- ArrayBuffer
- ArrayBufferConstructor
- ArrayBufferTypes
- ArrayBufferView
- ArrayConstructor
- ArrayLike
- Boolean
- BooleanConstructor
- CallableFunction
- ConcatArray
- DataView
- DataViewConstructor
- Date
- DateConstructor
- Error
- ErrorConstructor
- EvalError
- EvalErrorConstructor
- Float32Array
- Float32ArrayConstructor
- Float64Array
- Float64ArrayConstructor
- Function
- FunctionConstructor
- IArguments
- ImportMeta
- Int16Array
- Int16ArrayConstructor
- Int32Array
- Int32ArrayConstructor
- Int8Array
- Int8ArrayConstructor
- JSON
- Math
- NewableFunction
- Number
- NumberConstructor
- Object
- ObjectConstructor
- Promise
- PromiseLike
- PropertyDescriptor
- PropertyDescriptorMap
- RangeError
- RangeErrorConstructor
- ReadonlyArray
- ReferenceError
- ReferenceErrorConstructor
- RegExp
- RegExpConstructor
- RegExpExecArray
- RegExpMatchArray
- String
- StringConstructor
- Symbol
- SyntaxError
- SyntaxErrorConstructor
- TemplateStringsArray
- ThisType
- TypeError
- TypeErrorConstructor
- TypedPropertyDescriptor
- URIError
- URIErrorConstructor
- Uint16Array
- Uint16ArrayConstructor
- Uint32Array
- Uint32ArrayConstructor
- Uint8Array
- Uint8ArrayConstructor
- Uint8ClampedArray
- Uint8ClampedArrayConstructor

### Type aliases

- ArrayBufferLike
- ClassDecorator
- ConstructorParameters
- Exclude
- Extract
- InstanceType
- MethodDecorator
- NonNullable
- ParameterDecorator
- Parameters
- Partial
- Pick
- PromiseConstructorLike
- PropertyDecorator
- PropertyKey
- Readonly
- Record
- Required
- ReturnType

### Variables

- Infinity
- NaN

### Functions

- decodeURI
- decodeURIComponent
- encodeURI
- encodeURIComponent
- escape
- eval
- isFinite
- isNaN
- parseFloat
- parseInt
- unescape

## Type aliases

### ArrayBufferLike

ArrayBufferLike: ArrayBuffer | SharedArrayBuffer

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1510

### ClassDecorator

ClassDecorator: function

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1369

#### Type declaration

- - <TFunction>(target: TFunction): TFunction | void

  - #### Type parameters

    - #### TFunction: Function

    #### Parameters

    - ##### target: TFunction

    #### Returns TFunction | void

### ConstructorParameters

ConstructorParameters: ConstructorParameters<T>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1469

Obtain the parameters of a constructor function type in a tuple

### Exclude

Exclude: Exclude<T, U>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1449

Exclude from T those types that are assignable to U

### Extract

Extract: Extract<T, U>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1454

Extract from T those types that are assignable to U

### InstanceType

InstanceType: InstanceType<T>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1479

Obtain the return type of a constructor function type

### MethodDecorator

MethodDecorator: function

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1371

#### Type declaration

- - <T>(target: Object, propertyKey: string | symbol, descriptor: TypedPropertyDescriptor<T>): TypedPropertyDescriptor<T> | void

  - #### Type parameters

    - #### T

    #### Parameters

    - ##### target: Object

    - ##### propertyKey: string | symbol

    - ##### descriptor: TypedPropertyDescriptor<T>

    #### Returns TypedPropertyDescriptor<T> | void

### NonNullable

NonNullable: NonNullable<T>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1459

Exclude null and undefined from T

### ParameterDecorator

ParameterDecorator: function

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1372

#### Type declaration

- - (target: Object, propertyKey: string | symbol, parameterIndex: number): void

  - #### Parameters

    - ##### target: Object

    - ##### propertyKey: string | symbol

    - ##### parameterIndex: number

    #### Returns void

### Parameters

Parameters: Parameters<T>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1464

Obtain the parameters of a function type in a tuple

### Partial

Partial: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1414

Make all properties in T optional

#### Type declaration

### Pick

Pick: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1435

From T, pick a set of properties whose keys are in the union K

#### Type declaration

### PromiseConstructorLike

PromiseConstructorLike: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1374

#### Type declaration

### PropertyDecorator

PropertyDecorator: function

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1370

#### Type declaration

- - (target: Object, propertyKey: string | symbol): void

  - #### Parameters

    - ##### target: Object

    - ##### propertyKey: string | symbol

    #### Returns void

### PropertyKey

PropertyKey: string | number | symbol

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:105

### Readonly

Readonly: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1428

Make all properties in T readonly

#### Type declaration

### Record

Record: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1442

Construct a type with a set of properties K of type T

#### Type declaration

### Required

Required: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1421

Make all properties in T required

#### Type declaration

### ReturnType

ReturnType: ReturnType<T>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1474

Obtain the return type of a function type

## Variables

### Const Infinity

Infinity: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:26

### Const NaN

NaN: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:25

## Functions

### decodeURI

- decodeURI(encodedURI: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:65

  Gets the unencoded version of an encoded Uniform Resource Identifier (URI).

  #### Parameters

  - ##### encodedURI: string

    A value representing an encoded URI.

  #### Returns string

### decodeURIComponent

- decodeURIComponent(encodedURIComponent: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:71

  Gets the unencoded version of an encoded component of a Uniform Resource Identifier (URI).

  #### Parameters

  - ##### encodedURIComponent: string

    A value representing an encoded URI component.

  #### Returns string

### encodeURI

- encodeURI(uri: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:77

  Encodes a text string as a valid Uniform Resource Identifier (URI)

  #### Parameters

  - ##### uri: string

    A value representing an encoded URI.

  #### Returns string

### encodeURIComponent

- encodeURIComponent(uriComponent: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:83

  Encodes a text string as a valid component of a Uniform Resource Identifier (URI).

  #### Parameters

  - ##### uriComponent: string

    A value representing an encoded URI component.

  #### Returns string

### escape

- escape(string: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:89

  Computes a new string in which certain characters have been replaced by a hexadecimal escape sequence.

  #### Parameters

  - ##### string: string

    A string value

  #### Returns string

### eval

- eval(x: string): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:32

  Evaluates JavaScript code and executes it.

  #### Parameters

  - ##### x: string

    A String value that contains valid JavaScript code.

  #### Returns any

### isFinite

- isFinite(number: number): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:59

  Determines whether a supplied number is finite.

  #### Parameters

  - ##### number: number

    Any numeric value.

  #### Returns boolean

### isNaN

- isNaN(number: number): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:53

  Returns a Boolean value that indicates whether a value is the reserved value NaN (not a number).

  #### Parameters

  - ##### number: number

    A numeric value.

  #### Returns boolean

### parseFloat

- parseFloat(string: string): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:47

  Converts a string to a floating-point number.

  #### Parameters

  - ##### string: string

    A string that contains a floating-point number.

  #### Returns number

### parseInt

- parseInt(s: string, radix?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:41

  Converts A string to an integer.

  #### Parameters

  - ##### s: string

    A string to convert into a number.

  - ##### Optional radix: undefined | number

    A value between 2 and 36 that specifies the base of the number in numString. If this argument is not supplied, strings with a prefix of '0x' are considered hexadecimal. All other strings are considered decimal.

  #### Returns number

### unescape

- unescape(string: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:95

  Computes a new string in which hexadecimal escape sequences are replaced with the character that it represents.

  #### Parameters

  - ##### string: string

    A string value

  #### Returns string

Generated using TypeDoc